Subject: Re: bug#56653: 29.0.50; S-SPC is treated as SPC in pgtk

From: Andrew Tropin <[email-masked]>
Date: Fri, 22 Jul 2022 15:15:52 +0300

On 2022-07-20 19:12, Po Lu wrote:

> forcemerge 56653 53320
> thanks
>
> Andrew Tropin <[email-masked]> writes:
>
>> Everything below is additionally checked with emacs -Q.
>>
>> `C-h k M-S-SPC` show M-SPC (translated from M-S-SPC) runs the command
>> just-one-space. (works as expected).
>>
>> `C-h k S-SPC` shows SPC runs the command self-insert-command, but I
>> expected to see (traslated from S-SPC).
>>
>> In non-pgtk emacs28 it works as expected (says translated from S-SPC).
>
> This is a duplicate of bug#53200 and countless others.  The Shift key
> will not be reported correctly in keyboard events until input method
> developers fix their thing, or you turn the input method off (how to do
> so is documented in etc/PROBLEMS), so reporting bugs to Emacs will not
> solve anything in particular.
>
> (It is also wholely unrelated to the issue with Super key support on
> non-GNOME compositors.)

Thank you very much for responses, sorry for duplicate report! :)

-- 
Best regards,
Andrew Tropin